Skip to content

Pings a webhook endpoint

Request

GET {{baseURL}}/v2/webhooks/endpoints/{{endpointId}}/ping

This endpoint validates connectivity to the registered endpoint URL.

Security
Bearer
Path
endpointIdstring, (uuid)required

Specifies the webhook endpoint identifier to ping.

Example:c94e10ae-378e-4124-9b35-ecdfb9085a62
curl -i -X POST \
  https://sandbox.api.flute.com/v2/webhooks/endpoints/c94e10ae-378e-4124-9b35-ecdfb9085a62/ping \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
isDeliveredboolean

Indicates the ping was delivered successfully.

If true, the ping was delivered successfully.
If false, the ping was not delivered successfully.

Example: true

Example:true
endpointHTTPResponseCodeinteger or null, (int32)

Indicates the HTTP response status code.

This is the HTTP status code returned by the attempted delivery.

The following is a list of HTTP response status codes that include but are not limited to:

HTTP StatusMeaning
200Delivery succeeded
400Bad request
401Unauthorized
404Endpoint not found
429Rate limited

Example: 200

Example:200
roundTripDurationMsinteger, (int32)

Indicates the round-trip duration (in milliseconds).

Example: 367

Example:367
errorMessagestring or null

Indicates an error message if the delivery failed.

Example: Recipient not available

Example:"Recipient not available"
Response
{ "isDelivered": true, "endpointHTTPResponseCode": 200, "roundTripDurationMs": 142, "errorMessage": null }